Voice Intelligence
Initiate voice call
Place a new outbound voice intelligence call to a participant or person of interest, selecting the VAPI assistant, script, and callback context for the session.
POST
/
api
/
v1
/
voice-calls
/
initiate
Initiate voice call
curl --request POST \
--url https://uat.gateway.verify-group.io/api/v1/voice-calls/initiate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callType": {},
"participantId": "<string>",
"participantName": "<string>",
"participantRole": {},
"phoneNumber": "<string>",
"claimId": "<string>",
"expectedDuration": 123,
"sector": {},
"useCase": "<string>",
"recordCall": true,
"transcribeCall": true,
"metadata": {}
}
'import requests
url = "https://uat.gateway.verify-group.io/api/v1/voice-calls/initiate"
payload = {
"callType": {},
"participantId": "<string>",
"participantName": "<string>",
"participantRole": {},
"phoneNumber": "<string>",
"claimId": "<string>",
"expectedDuration": 123,
"sector": {},
"useCase": "<string>",
"recordCall": True,
"transcribeCall": True,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
callType: {},
participantId: '<string>',
participantName: '<string>',
participantRole: {},
phoneNumber: '<string>',
claimId: '<string>',
expectedDuration: 123,
sector: {},
useCase: '<string>',
recordCall: true,
transcribeCall: true,
metadata: {}
})
};
fetch('https://uat.gateway.verify-group.io/api/v1/voice-calls/initiate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Type of call
Participant unique identifier
Participant full name
Participant role
Phone number for automated calls
Related claim ID
Expected call duration in seconds
Business sector
Use case identifier
Whether to record the call
Whether to transcribe the call
Additional metadata
Previous
End voice callManually terminate an active voice call via the VAPI provider, releasing the participant leg and flagging the call for recording, transcript, and analysis.
Next
⌘I
Initiate voice call
